EDIT - bug #6380

typedesignations missing in homotypic group
01/24/2017 12:47 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal Found in Version: Release 4.5
Description

This issue seems to occur only in special cases but point out a general problem with the way the typedesignations are collected for a
homotypic group.

This problem may also account to heterotypic groups.

In the homotypic group of Youngia atripappa (

http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy) typedesignations
are distributed between several names:

Youngia atripappa : 1 isolectotype
Crepis gracilis: 1 Lectotype

Crepis atripappa: 1 isolectotype
Youngia gracilis: 1 isolectotype
Youngia stebbinsiana: 1 isolectotype

In the portal code the typedesignatinons for the accepted taxon name and for the first name in the homotypic group after the
accepted are explicitly retrieved from the portal/name/{uuid}/typeDesignations webservice.

The service and dao methods behind this service only return the typedesignations associated with the given name and are missing
all others.

A solution would be to use the existing eu.etaxonomy.cdm.persistence.dao.name.lHomotypicalGroupDao.getTypeDesignations()
method. For this the HomotypicalGroup uuid must be present in the portal.

TODO

e check if this problem also accounts to heterotypic groups
¢ Fix incomplete typedesignatinons retrieval

Related issues:
Related to EDIT - feature request #7696: use compact type representations in ... Resolved
Copied to EDIT - feature request #8390: implement /portal/name/{uuuid}/typeDe... Closed

Associated revisions

Revision b059b449 - 07/04/2019 02:09 PM - Andreas Kohlbecker

fix #6380 collecting all type designations of the whole synonymy group

Revision 94a882ee - 07/04/2019 06:20 PM - Andreas Kohlbecker

ref #6380 fixing regression

Revision 5f188298 - 07/08/2019 02:08 PM - Andreas Kohlbecker
ref #6380 proper de-duplication of type designations

History

#1 - 01/24/2017 01:25 PM - Andreas Kohlbecker

- Description updated

#2 - 01/24/2017 01:25 PM - Andreas Kohlbecker
- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 4.6
http://cichorieae.e-taxonomy.net/portal/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy

#3 - 01/24/2017 02:38 PM - Andreas Miiller
- Description updated

#4 - 01/24/2017 02:39 PM - Andreas Miiller

- Found in Version set to Release 4.5

#5 - 01/24/2017 02:41 PM - Andreas Miiller
- Description updated

#6 - 01/24/2017 02:42 PM - Andreas Miiller
- Description updated

#7 - 01/24/2017 02:44 PM - Andreas Miiller

A solution would be to use the existing >eu.etaxonomy.cdm.persistence.dao.name.lHomotypicalGroupDao.getTypeDesignations()
eu.etaxonomy.cdm.persistence.dao.name.lHomotypicalGroupDao.getTypeDesignations() method. For
this this the HomotypicalGroup uuid must be present in the portal.

Another solution is * check if this problem also accounts to add a parameter "forAllNamesInHomotypicGroup" and still pass only the first name to the
method in remote and service layer.

#8 - 01/24/2017 02:45 PM - Andreas Miuller

- Description updated

#9 - 03/10/2017 08:50 PM - Andreas Miiller

- Target version changed from Release 4.6 to Release 4.7

#10 - 05/11/2017 03:29 PM - Andreas Miiller

- Target version changed from Release 4.7 to Release 4.8

#11 - 07/07/2017 09:15 AM - Andreas Kohlbecker

- Target version changed from Release 4.8 to Release 4.9

#12 - 07/21/2017 10:30 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#13 - 09/24/2017 01:37 AM - Andreas Miuiller

- Target version changed from Release 4.10 to Release 4.11

#14 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#15 - 12/05/2017 02:16 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#16 - 01/31/2018 12:11 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#17 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#18 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#19 - 06/28/2018 12:14 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2
#20 - 08/17/2018 03:55 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#21 - 09/11/2018 05:00 PM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#22 - 10/23/2018 12:49 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#23 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#24 - 02/22/2019 05:09 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Reviewed Next Major Release

#25 - 02/22/2019 06:08 PM - Andreas Miiller

- Related to feature request #7696: use compact type representations in the synonymy as provided by the typedesignations/by Taxon/{taxon_uuid}
service added

#26 - 02/22/2019 06:09 PM - Andreas Miiller

- Target version changed from Reviewed Next Major Release to Release 5.6

Is this still a relevant issue once #7696 is fixed. As the later is on 5.6 | also moved this back. If we decide to implement we may move it elsewhere (or
close it as irrelevant)

#27 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#28 - 05/03/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#29 - 07/04/2019 02:09 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-dataportal|b059b449f976cd7e198a3e21c05e38fb038baieb.

#30 - 07/04/2019 02:11 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Mliller

please review, e.g. at the example of
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonym

#31 - 07/17/2019 05:49 PM - Andreas Miiller

- Description updated

#32 - 07/19/2019 08:04 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Muiller to Andreas Kohlbecker

- % Done changed from 50 to 90

The result seems to be correct. Do | understand the code correctly that you only call 1 webservice per homotypical group to define the list of
typedesignations? Otherwise it would be a performance issue.

However, | forgot why we do not yet use the results of the TypeDesignationManager in the dataportals. This formats the type designations much more
as expected with less redundancy for field unit information. But this may come in future.

#33 - 07/19/2019 08:49 AM - Andreas Kohlbecker
https://dev.e-taxonomy.eu/redmine/issues/7696
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/b059b449f976cd7e198a3e21c05e38fb038ba1eb
http://test.e-taxonomy.eu/dataportal/preview/cichorieae/cdm_dataportal/taxon/a67fc2ab-1452-4c32-84b6-8953111af9d6/synonymy

- Assignee changed from Andreas Kohlbecker to Andreas Miiller

Andreas Muller wrote:

The result seems to be correct. Do | understand the code correctly that you only call 1 webservice per homotypical group to define the list of
typedesignations? Otherwise it would be a performance issue.

The type_designations_for_synonymy_group($synonymy_group, $accepted_taxon_name_uuid = null) is doing a call per name in the group. This is of
course causing an undesired overhead.

However, | forgot why we do not yet use the results of the TypeDesignationManager in the dataportals. This formats the type designations much
more as expected with less redundancy for field unit information. But this may come in future.

We in deed thought about this, decided to go that way and there are also according tickets which can be found by taking a look at #7695
Once this is completely solved the above mentioned overhead will be avoided.

#34 - 07/19/2019 09:08 AM - Andreas Miiller

- Assignee changed from Andreas Muiller to Andreas Kohlbecker

Until then why can't we use a ws call that collects all type designations of a single name in the homotypic group for all names in this group as also
suggested above in the ticket.
But spending time on this only makes sense if usage of TypeDesignationManager will still take some time.

#35 - 07/19/2019 09:30 AM - Andreas Kohlbecker

Andreas Muller wrote:

Until then why can't we use a ws call that collects all type designations of a single name in the homotypic group for all names in this group as
also suggested above in the ticket.
But spending time on this only makes sense if usage of TypeDesignationManager will still take some time.

Extending the NamePortalController.doGetTypeDesignations() as suggested above in comment 7 would be a real improvement.

| can't give an estimate when the implementation of the TypeDesignationManager Webservice etc (#7695) will be completed, therefore it would make
sense to work on the extension of the NamePortalController.doGetTypeDesignations() by adding the suggested parameter or by adding another
service endpoint. Will create a ticket for this .... #8390

#36 - 07/19/2019 09:30 AM - Andreas Kohlbecker
- Copied to feature request #8390: implement /portal/name/{uuuid}/typeDesignationsinHomotypicalGroup added

#37 - 07/19/2019 09:31 AM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 90 to 100
